Skip to main content

Create Resident: Propertyware SOAP - Not Supported

POSThttps://api.propexo.com/v1/residents/propertyware/

Propertyware SOAP does not support creating a resident via their API. This endpoint will always return a 405, with an error message specifying that creating a resident in a Propertyware SOAP integration is not supported due to the lack of upstream support.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    object

Response​

Successful response

    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/residents/propertyware/
curl -X POST https://api.propexo.com/v1/residents/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{}